The intercom API reference.
Intercom API (Unstable)
AI Content
With the AI Content APIs, you can create and manage External Pages and Content Import Sources for your Fin Content Library.
External Pages are pages that you want Fin to be able to answer questions about. The API for External Pages is a great way to ingest into your Fin Content Library pages that are not publicly accessible and hence can't be crawled by Intercom.
Content Import Sources are the sources of those pages, and they are used to determine the default audience for the pages (configured via the UI). You should create a Content Import Source for each source of External Pages that you want to ingest into your Fin Content Library.
You can then iterate through the content from that source via its API and POST it to the External Pages endpoint. That endpoint has an external_id parameter which allows you to specify the identifier from the source. The endpoint will then either create a new External Page or update an existing one as appropriate.",
Custom Channel Events
With the "Custom Channel" integration, you can bring Fin and Intercom capabilities to your own platform via API, enabling powerful custom integrations.
Intercom treats your integration like any other Intercom channel, allowing your application and Intercom to exchange events seamlessly. This makes it possible, for example, for your users to interact with Fin directly within your own application’s UI.
Note: "Fin over API" is currently under managed availability. Please reach out to your accounts team to discuss access and tailored, hands-on support.
Custom Object Instances
Everything about your Custom Object instances.
From now on, to access this endpoint, you need additional permissions. Please head over to the Developer Hub app package authentication settings to configure the required permissions.
Ticket Type
A ticket type, used to define the data fields to be captured in a ticket.
String representing the object's type. Always has the value ticket_type.
A list of attributes associated with a given ticket type.
{ "type": "ticket_type", "id": "1295", "category": "Customer", "name": "Bug", "description": "A bug that has been reported.", "icon": "🐞", "workspace_id": "ecahpwf5", "ticket_type_attributes": { "type": "string", "ticket_type_attributes": [ … ] }, "ticket_states": { "type": "list", "data": [ … ] }, "archived": false, "created_at": 0, "updated_at": 0 }
Payload of the request to reply on behalf of a contact using their intercom_user_id
The time the reply was created. If not provided, the current time will be used.
A list of image URLs that will be added as attachments. You can include up to 10 URLs.
The quick reply selection the contact wishes to respond with. These map to buttons displayed in the Messenger UI if sent by a bot, or the reply options sent by an Admin via the API.
- The production API serverhttps://api.intercom.io/tickets/{id}/reply
- The european API serverhttps://api.eu.intercom.io/tickets/{id}/reply
- The australian API serverhttps://api.au.intercom.io/tickets/{id}/reply
- curl
- Node.js
- Ruby
- PHP
- Python
- Java
- Go
- C#
- R
curl -i -X POST \
https://api.intercom.io/tickets/123/reply \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: Unstable' \
-d '{
"message_type": "comment",
"type": "user",
"intercom_user_id": "6762f2971bb69f9f2193bc49",
"body": "Thanks again :)"
}'{ "type": "ticket_part", "id": "156", "part_type": "note", "body": "<h2>An Unordered HTML List</h2>\n<ul>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ul>\n<h2>An Ordered HTML List</h2>\n<ol>\n<li>Coffee</li>\n<li>Tea</li>\n<li>Milk</li>\n</ol>", "created_at": 1734537884, "updated_at": 1734537884, "author": { "id": "991267943", "type": "admin", "name": "Ciaran419 Lee", "email": "admin419@email.com" }, "attachments": [], "redacted": false, "app_package_code": "test-integration" }
- The production API serverhttps://api.intercom.io/tickets/{ticket_id}/tags
- The european API serverhttps://api.eu.intercom.io/tickets/{ticket_id}/tags
- The australian API serverhttps://api.au.intercom.io/tickets/{ticket_id}/tags
- curl
- Node.js
- Ruby
- PHP
- Python
- Java
- Go
- C#
- R
curl -i -X POST \
https://api.intercom.io/tickets/64619700005694/tags \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: Unstable' \
-d '{
"id": 121,
"admin_id": 991267958
}'{ "type": "tag", "id": "121", "name": "Manual tag", "applied_at": 1663597223, "applied_by": { "type": "admin", "id": "456" } }